#
# TODO
# - descriptions
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# # don't build userspace tools
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel	17
Summary:	Extensible packet filtering system && extensible NAT system
Summary(pl.UTF-8):	System filtrowania pakietów oraz system translacji adresów (NAT)
Summary(pt_BR.UTF-8):	Ferramenta para controlar a filtragem de pacotes no kernel-2.6.x
Summary(ru.UTF-8):	Утилиты для управления пакетными фильтрами ядра Linux
Summary(uk.UTF-8):	Утиліти для керування пакетними фільтрами ядра Linux
Summary(zh_CN.UTF-8):	Linux内核包过滤管理工具
Name:		xtables-addons
Version:	1.18
Release:	%{rel}
License:	GPL
Group:		Networking/Admin
Source0:	http://dl.sourceforge.net/xtables-addons/%{name}-%{version}.tar.bz2
# Source0-md5:	5a8d2edbf5a3470bba58d6a60c350805
URL:		http://xtables-addons.sourceforge.net/
Patch0:		%{name}-libs.patch
Patch1:		%{name}-geoip-dbpath.patch
Patch2:		kernelrelease.patch
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	iptables-devel >= 1.4.3
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.25}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.379
Requires:	iptables >= 1.4.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# use macro, so adapter won't try to wrap
%define		kpackage	kernel%{_alt_kernel}-net-xtables-addons = %{rel}@%{_kernel_ver_str}

%description
An extensible NAT system, and an extensible packet filtering system.
Replacement of ipchains in 2.6 and higher kernels.

You need %{kpackage} installed for the tools to work.

%description -l pl.UTF-8
Wydajny system translacji adresów (NAT) oraz system filtrowania
pakietów. Zamiennik ipchains w jądrach 2.6 i nowszych.

%description -l pt_BR.UTF-8
Esta é a ferramenta que controla o código de filtragem de pacotes do
kernel 2.6, obsoletando ipchains. Com esta ferramenta você pode
configurar filtros de pacotes, NAT, mascaramento (masquerading),
regras dinâmicas (stateful inspection), etc.

%description -l ru.UTF-8
xtables-addons управляют кодом фильтрации сетевых пакетов в ядре
Linux. Они позволяют вам устанавливать межсетевые экраны (firewalls) и
IP маскарадинг, и т.п.

%description -l uk.UTF-8
xtables-addons управляють кодом фільтрації пакетів мережі в ядрі
Linux. Вони дозволяють вам встановлювати міжмережеві екрани
(firewalls) та IP маскарадинг, тощо.

%package -n kernel%{_alt_kernel}-net-xtables-addons
Summary:	Kernel modules for xtables addons
Summary(pl.UTF-8):	Moudły jądra dla xtables addons
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Conflicts:	xtables-geoip < 20090901-2
# VERSION only dependency is intentional, for allowing multiple kernel pkgs and
# single userspace package installs.
Requires:	%{name} = %{version}
%{?with_dist_kernel:%requires_releq_kernel}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-net-xtables-addons
Kernel modules for xtables addons.

%description -n kernel%{_alt_kernel}-net-xtables-addons -l pl.UTF-8
Moduły jądra dla xtables addons.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__sed} -i -e 's#build_ipset=m#build_ipset=n#' mconfig

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-kbuild=%{_kernelsrcdir} \
	--with-ksource=%{_kernelsrcdir}

export XA_TOPSRCDIR=$PWD

%if %{with kernel}
%build_kernel_modules -C extensions -m compat_xtables
%endif

%if %{with userspace}
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/lib/modules/%{_kernel_ver}/kernel/net/ipv4/netfilter,%{_mandir}/man8}

%if %{with kernel}
cd extensions
%install_kernel_modules -m compat_xtables -d kernel/net/netfilter
install -p xt_*ko $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/kernel/net/netfilter
cd ..
%endif

%if %{with userspace}
%{__make} -C extensions install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man8
cp -a xtables-addons.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-net-xtables-addons
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-net-xtables-addons
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xtables/libxt_*.so
%{_mandir}/man8/xtables-addons.8*
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-xtables-addons
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/net/netfilter/compat_xtables.ko.gz
/lib/modules/%{_kernel_ver}/kernel/net/netfilter/xt_*.ko.gz
%endif
%changelog
* Mon Jun 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xtables-addons.git;a=log;h=AC-branch

* Fri May 25 2012 Elan Ruusamäe <glen@pld-linux.org> a6f7dea
- release 17

* Fri Dec 24 2010 Elan Ruusamäe <glen@pld-linux.org> 852d6b1
- release 16

* Mon Sep 20 2010 Elan Ruusamäe <glen@pld-linux.org> 67d63d2
- use FHS path, fix manpage; rel 15

* Mon Sep 20 2010 Elan Ruusamäe <glen@pld-linux.org> ee75fd3
- release 14

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> ef34b8f
- ac 2.62

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> b752231
- release 13

* Wed Mar 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d44b45e
- release 11

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f3a40c
- release 10

* Mon Feb 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cfc9e61
- release 9

* Thu Jan 14 2010 Elan Ruusamäe <glen@pld-linux.org> a3a7bc9
- allow preparing kernel for reboot (poldek -i for kernel pkg, poldek -u for userspace), without removing currently running package modules

* Fri Jan 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a3f505c
- release 8

* Thu Jan 07 2010 pawelz <pawelz@pld-linux.org> e3c9233
- pl for kernel package

* Thu Jan 07 2010 Elan Ruusamäe <glen@pld-linux.org> bcb7e0a
- description of kernel package
- small note in userspace tool for kernel modules or you get error "iptables: No chain/target/match by that name."

* Sat Dec 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 603f6f3
- release 7

* Wed Dec 16 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5df5312
- release 6

* Sat Dec 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a3a22ac
- release 5

* Sun Nov 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 57a46db
- release 4

* Thu Nov 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1839903
- release 3

* Mon Nov 02 2009 Tomasz Pala <gotar@pld-linux.org> edb92c3
- new ACCOUNT target and psd match, get rid of verbose nonsense listings

* Mon Nov 02 2009 Tomasz Pala <gotar@pld-linux.org> b5980a9
- upgraded to 1.18; 2.6.31 support

